Apache log4cxx: LoggingEventPatternConverter Class Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# LoggingEventPatternConverter Class Reference

Inherits PatternConverter.

Inherited by DatePatternConverter, FileLocationPatternConverter, FullLocationPatternConverter, LevelPatternConverter, LineLocationPatternConverter, LineSeparatorPatternConverter, LiteralPatternConverter, MessagePatternConverter, MethodLocationPatternConverter, NamePatternConverter, NDCPatternConverter, PropertiesPatternConverter, RelativeTimePatternConverter, ThreadPatternConverter, and ThrowableInformationPatternConverter.

List of all members.

## Detailed Description

LoggingEventPatternConverter is a base class for pattern converters that can format information from instances of LoggingEvent.

## Public Member Functions
virtual void | format (const log4cxx::spi::LoggingEventPtr &event, LogString &toAppendTo, log4cxx::helpers::Pool &p) const =0
| Formats an event into a string buffer.
void | format (const log4cxx::helpers::ObjectPtr &obj, LogString &toAppendTo, log4cxx::helpers::Pool &p) const
virtual bool | handlesThrowable () const
| Normally pattern converters are not meant to handle Exceptions although few pattern converters might.
## Protected Member Functions
| LoggingEventPatternConverter (const LogString &name, const LogString &style)
| Constructs an instance of LoggingEventPatternConverter.

## Constructor & Destructor Documentation

LoggingEventPatternConverter | ( | const LogString & | name,
|  | const LogString & | style
| ) | `[protected]`

  | Constructs an instance of LoggingEventPatternConverter. Parameters:
  | name | name of converter.
  | style | CSS style for output.

## Member Function Documentation

void format | ( | const log4cxx::helpers::ObjectPtr & | obj,
|  | LogString & | toAppendTo,
|  | log4cxx::helpers::Pool & | p
| ) | const

| Reimplemented in DatePatternConverter, LineSeparatorPatternConverter, and LiteralPatternConverter.

virtual void format | ( | const log4cxx::spi::LoggingEventPtr & | event,
|  | LogString & | toAppendTo,
|  | log4cxx::helpers::Pool & | p
| ) | const`[pure virtual]`

  | Formats an event into a string buffer. Parameters:
  | event | event to format, may not be null.
  | toAppendTo | string buffer to which the formatted event will be appended. May not be null.
  | p | pool for memory allocations needing during format.
Implemented in ClassNamePatternConverter, DatePatternConverter, FileLocationPatternConverter, FullLocationPatternConverter, LevelPatternConverter, LineLocationPatternConverter, LineSeparatorPatternConverter, LiteralPatternConverter, LoggerPatternConverter, MessagePatternConverter, MethodLocationPatternConverter, NDCPatternConverter, PropertiesPatternConverter, RelativeTimePatternConverter, ThreadPatternConverter, and ThrowableInformationPatternConverter.

virtual bool handlesThrowable | ( |  | ) | const`[virtual]`

| Normally pattern converters are not meant to handle Exceptions although few pattern converters might. By examining the return values for this method, the containing layout will determine whether it handles throwables or not. Returns: true if this PatternConverter handles throwables Reimplemented in ThrowableInformationPatternConverter.

The documentation for this class was generated from the following file:

- loggingeventpatternconverter.h